Skip to main content

Uc Metastores

View as Markdown

Create Accounts Metastore GA

POST /api/2.0/accounts/{account_id}/metastores

Creates a Unity Catalog metastore.

API scopes: unity-catalog

Parameters

account_idstringpath

<Databricks> account ID of any type. For non-E2 account types, get your account ID from the Accounts Console

Request body

metastore_infoobject
Show child attributesHide child attributes
namestring

The user-specified name of the metastore.

storage_rootstring

The storage root URL for metastore

default_data_access_config_idstring

Unique identifier of the metastore's (Default) Data Access Configuration.

storage_root_credential_idstring

UUID of storage credential to access the metastore storage_root.

delta_sharing_scopestring

The scope of Delta Sharing enabled for the metastore.

Values: INTERNAL, INTERNAL_AND_EXTERNAL

delta_sharing_recipient_token_lifetime_in_secondsint64

The lifetime of delta sharing recipient token in seconds.

delta_sharing_organization_namestring

The organization name of a Delta Sharing entity, to be used in Databricks-to-Databricks Delta Sharing as the official name.

ownerstring

The owner of the metastore.

privilege_model_versionstring

Privilege model version of the metastore, of the form major.minor (e.g., 1.0).

regionstring

Cloud region which the metastore serves (e.g., us-west-2, westus).

metastore_idstring

Unique identifier of metastore.

created_atint64

Time at which this metastore was created, in epoch milliseconds.

created_bystring

Username of metastore creator.

updated_atint64

Time at which the metastore was last modified, in epoch milliseconds.

updated_bystring

Username of user who last modified the metastore.

storage_root_credential_namestring

Name of the storage credential to access the metastore storage_root.

cloudstring

Cloud vendor of the metastore home shard (e.g., aws, azure, gcp).

global_metastore_idstring

Globally unique metastore ID across clouds and regions, of the form cloud:region:metastore_id.

external_access_enabledboolean

Whether to allow non-DBR clients to directly access entities under the metastore.

Response

metastore_infoobject
Show child attributesHide child attributes
namestring

The user-specified name of the metastore.

storage_rootstring

The storage root URL for metastore

default_data_access_config_idstring

Unique identifier of the metastore's (Default) Data Access Configuration.

storage_root_credential_idstring

UUID of storage credential to access the metastore storage_root.

delta_sharing_scopestring

The scope of Delta Sharing enabled for the metastore.

Values: INTERNAL, INTERNAL_AND_EXTERNAL

delta_sharing_recipient_token_lifetime_in_secondsint64

The lifetime of delta sharing recipient token in seconds.

delta_sharing_organization_namestring

The organization name of a Delta Sharing entity, to be used in Databricks-to-Databricks Delta Sharing as the official name.

ownerstring

The owner of the metastore.

privilege_model_versionstring

Privilege model version of the metastore, of the form major.minor (e.g., 1.0).

regionstring

Cloud region which the metastore serves (e.g., us-west-2, westus).

metastore_idstring

Unique identifier of metastore.

created_atint64

Time at which this metastore was created, in epoch milliseconds.

created_bystring

Username of metastore creator.

updated_atint64

Time at which the metastore was last modified, in epoch milliseconds.

updated_bystring

Username of user who last modified the metastore.

storage_root_credential_namestring

Name of the storage credential to access the metastore storage_root.

cloudstring

Cloud vendor of the metastore home shard (e.g., aws, azure, gcp).

global_metastore_idstring

Globally unique metastore ID across clouds and regions, of the form cloud:region:metastore_id.

external_access_enabledboolean

Whether to allow non-DBR clients to directly access entities under the metastore.

Create Accounts Metastore Assignment GA

POST /api/2.0/accounts/{account_id}/workspaces/{workspace_id}/metastores/{metastore_id}

Creates an assignment to a metastore for a workspace

API scopes: unity-catalog

Parameters

account_idstringpath

<Databricks> account ID of any type. For non-E2 account types, get your account ID from the Accounts Console

workspace_idint64path

Workspace ID.

metastore_idstringpath

Unity Catalog metastore ID

Request body

metastore_assignmentobject
Show child attributesHide child attributes
workspace_idint64

The unique ID of the <Databricks> workspace.

metastore_idstring

The unique ID of the metastore.

default_catalog_namestring

The name of the default catalog in the metastore. This field is deprecated. Please use "Default Namespace API" to configure the default catalog for a <Databricks> workspace.

Delete Accounts Metastore GA

DELETE /api/2.0/accounts/{account_id}/metastores/{metastore_id}

Deletes a Unity Catalog metastore for an account, both specified by ID.

API scopes: unity-catalog

Parameters

account_idstringpath

<Databricks> account ID of any type. For non-E2 account types, get your account ID from the Accounts Console

metastore_idstringpath

Unity Catalog metastore ID

forcebooleanquery

Force deletion even if the metastore is not empty. Default is false.

Delete Accounts Metastore Assignment GA

DELETE /api/2.0/accounts/{account_id}/workspaces/{workspace_id}/metastores/{metastore_id}

Deletes a metastore assignment to a workspace, leaving the workspace with no metastore.

API scopes: unity-catalog

Parameters

account_idstringpath

<Databricks> account ID of any type. For non-E2 account types, get your account ID from the Accounts Console

workspace_idint64path

Workspace ID.

metastore_idstringpath

Unity Catalog metastore ID

Get Accounts Metastore GA

GET /api/2.0/accounts/{account_id}/metastores/{metastore_id}

Gets a Unity Catalog metastore from an account, both specified by ID.

API scopes: unity-catalog

Parameters

account_idstringpath

<Databricks> account ID of any type. For non-E2 account types, get your account ID from the Accounts Console

metastore_idstringpath

Unity Catalog metastore ID

Response

metastore_infoobject
Show child attributesHide child attributes
namestring

The user-specified name of the metastore.

storage_rootstring

The storage root URL for metastore

default_data_access_config_idstring

Unique identifier of the metastore's (Default) Data Access Configuration.

storage_root_credential_idstring

UUID of storage credential to access the metastore storage_root.

delta_sharing_scopestring

The scope of Delta Sharing enabled for the metastore.

Values: INTERNAL, INTERNAL_AND_EXTERNAL

delta_sharing_recipient_token_lifetime_in_secondsint64

The lifetime of delta sharing recipient token in seconds.

delta_sharing_organization_namestring

The organization name of a Delta Sharing entity, to be used in Databricks-to-Databricks Delta Sharing as the official name.

ownerstring

The owner of the metastore.

privilege_model_versionstring

Privilege model version of the metastore, of the form major.minor (e.g., 1.0).

regionstring

Cloud region which the metastore serves (e.g., us-west-2, westus).

metastore_idstring

Unique identifier of metastore.

created_atint64

Time at which this metastore was created, in epoch milliseconds.

created_bystring

Username of metastore creator.

updated_atint64

Time at which the metastore was last modified, in epoch milliseconds.

updated_bystring

Username of user who last modified the metastore.

storage_root_credential_namestring

Name of the storage credential to access the metastore storage_root.

cloudstring

Cloud vendor of the metastore home shard (e.g., aws, azure, gcp).

global_metastore_idstring

Globally unique metastore ID across clouds and regions, of the form cloud:region:metastore_id.

external_access_enabledboolean

Whether to allow non-DBR clients to directly access entities under the metastore.

List Accounts Metastores GA

GET /api/2.0/accounts/{account_id}/metastores

Gets all Unity Catalog metastores associated with an account specified by ID.

API scopes: unity-catalog

Parameters

account_idstringpath

<Databricks> account ID of any type. For non-E2 account types, get your account ID from the Accounts Console

Response

metastoresarray of object

An array of metastore information objects.

Show child attributesHide child attributes
namestring

The user-specified name of the metastore.

storage_rootstring

The storage root URL for metastore

default_data_access_config_idstring

Unique identifier of the metastore's (Default) Data Access Configuration.

storage_root_credential_idstring

UUID of storage credential to access the metastore storage_root.

delta_sharing_scopestring

The scope of Delta Sharing enabled for the metastore.

Values: INTERNAL, INTERNAL_AND_EXTERNAL

delta_sharing_recipient_token_lifetime_in_secondsint64

The lifetime of delta sharing recipient token in seconds.

delta_sharing_organization_namestring

The organization name of a Delta Sharing entity, to be used in Databricks-to-Databricks Delta Sharing as the official name.

ownerstring

The owner of the metastore.

privilege_model_versionstring

Privilege model version of the metastore, of the form major.minor (e.g., 1.0).

regionstring

Cloud region which the metastore serves (e.g., us-west-2, westus).

metastore_idstring

Unique identifier of metastore.

created_atint64

Time at which this metastore was created, in epoch milliseconds.

created_bystring

Username of metastore creator.

updated_atint64

Time at which the metastore was last modified, in epoch milliseconds.

updated_bystring

Username of user who last modified the metastore.

storage_root_credential_namestring

Name of the storage credential to access the metastore storage_root.

cloudstring

Cloud vendor of the metastore home shard (e.g., aws, azure, gcp).

global_metastore_idstring

Globally unique metastore ID across clouds and regions, of the form cloud:region:metastore_id.

external_access_enabledboolean

Whether to allow non-DBR clients to directly access entities under the metastore.

Update Accounts Metastore GA

PUT /api/2.0/accounts/{account_id}/metastores/{metastore_id}

Updates an existing Unity Catalog metastore.

API scopes: unity-catalog

Parameters

account_idstringpath

<Databricks> account ID of any type. For non-E2 account types, get your account ID from the Accounts Console

metastore_idstringpath

Unity Catalog metastore ID

Request body

metastore_infoobject

Properties of the metastore to change.

Show child attributesHide child attributes
namestring

The user-specified name of the metastore.

storage_rootstring

The storage root URL for metastore

default_data_access_config_idstring

Unique identifier of the metastore's (Default) Data Access Configuration.

storage_root_credential_idstring

UUID of storage credential to access the metastore storage_root.

delta_sharing_scopestring

The scope of Delta Sharing enabled for the metastore.

Values: INTERNAL, INTERNAL_AND_EXTERNAL

delta_sharing_recipient_token_lifetime_in_secondsint64

The lifetime of delta sharing recipient token in seconds.

delta_sharing_organization_namestring

The organization name of a Delta Sharing entity, to be used in Databricks-to-Databricks Delta Sharing as the official name.

ownerstring

The owner of the metastore.

privilege_model_versionstring

Privilege model version of the metastore, of the form major.minor (e.g., 1.0).

regionstring

Cloud region which the metastore serves (e.g., us-west-2, westus).

metastore_idstring

Unique identifier of metastore.

created_atint64

Time at which this metastore was created, in epoch milliseconds.

created_bystring

Username of metastore creator.

updated_atint64

Time at which the metastore was last modified, in epoch milliseconds.

updated_bystring

Username of user who last modified the metastore.

storage_root_credential_namestring

Name of the storage credential to access the metastore storage_root.

cloudstring

Cloud vendor of the metastore home shard (e.g., aws, azure, gcp).

global_metastore_idstring

Globally unique metastore ID across clouds and regions, of the form cloud:region:metastore_id.

external_access_enabledboolean

Whether to allow non-DBR clients to directly access entities under the metastore.

Response

metastore_infoobject
Show child attributesHide child attributes
namestring

The user-specified name of the metastore.

storage_rootstring

The storage root URL for metastore

default_data_access_config_idstring

Unique identifier of the metastore's (Default) Data Access Configuration.

storage_root_credential_idstring

UUID of storage credential to access the metastore storage_root.

delta_sharing_scopestring

The scope of Delta Sharing enabled for the metastore.

Values: INTERNAL, INTERNAL_AND_EXTERNAL

delta_sharing_recipient_token_lifetime_in_secondsint64

The lifetime of delta sharing recipient token in seconds.

delta_sharing_organization_namestring

The organization name of a Delta Sharing entity, to be used in Databricks-to-Databricks Delta Sharing as the official name.

ownerstring

The owner of the metastore.

privilege_model_versionstring

Privilege model version of the metastore, of the form major.minor (e.g., 1.0).

regionstring

Cloud region which the metastore serves (e.g., us-west-2, westus).

metastore_idstring

Unique identifier of metastore.

created_atint64

Time at which this metastore was created, in epoch milliseconds.

created_bystring

Username of metastore creator.

updated_atint64

Time at which the metastore was last modified, in epoch milliseconds.

updated_bystring

Username of user who last modified the metastore.

storage_root_credential_namestring

Name of the storage credential to access the metastore storage_root.

cloudstring

Cloud vendor of the metastore home shard (e.g., aws, azure, gcp).

global_metastore_idstring

Globally unique metastore ID across clouds and regions, of the form cloud:region:metastore_id.

external_access_enabledboolean

Whether to allow non-DBR clients to directly access entities under the metastore.

Update Accounts Metastore Assignment GA

PUT /api/2.0/accounts/{account_id}/workspaces/{workspace_id}/metastores/{metastore_id}

Updates an assignment to a metastore for a workspace. Currently, only the default catalog may be updated.

API scopes: unity-catalog

Parameters

account_idstringpath

<Databricks> account ID of any type. For non-E2 account types, get your account ID from the Accounts Console

workspace_idint64path

Workspace ID.

metastore_idstringpath

Unity Catalog metastore ID

Request body

metastore_assignmentobject
Show child attributesHide child attributes
workspace_idint64

The unique ID of the <Databricks> workspace.

metastore_idstring

The unique ID of the metastore.

default_catalog_namestring

The name of the default catalog in the metastore. This field is deprecated. Please use "Default Namespace API" to configure the default catalog for a <Databricks> workspace.

Get Metastore Assignment GA

GET /api/2.0/accounts/{account_id}/workspaces/{workspace_id}/metastore

Gets the metastore assignment, if any, for the workspace specified by ID. If the workspace is assigned a metastore, the mapping will be returned. If no metastore is assigned to the workspace, the assignment will not be found and a 404 returned.

API scopes: unity-catalog

Parameters

account_idstringpath

<Databricks> account ID of any type. For non-E2 account types, get your account ID from the Accounts Console

workspace_idint64path

Workspace ID.

Response

metastore_assignmentobject
Show child attributesHide child attributes
workspace_idint64

The unique ID of the <Databricks> workspace.

metastore_idstring

The unique ID of the metastore.

default_catalog_namestring

The name of the default catalog in the metastore. This field is deprecated. Please use "Default Namespace API" to configure the default catalog for a <Databricks> workspace.

List Metastore Assignments GA

GET /api/2.0/accounts/{account_id}/metastores/{metastore_id}/workspaces

Gets a list of all <Databricks> workspace IDs that have been assigned to given metastore.

API scopes: unity-catalog

Parameters

account_idstringpath

<Databricks> account ID of any type. For non-E2 account types, get your account ID from the Accounts Console

metastore_idstringpath

Unity Catalog metastore ID

Response

workspace_idsarray of int64